Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Macros | Typedefs
Xerces_autoconf_config.msvc.hpp File Reference

Go to the source code of this file.

## Macros

#define | XERCES_S16BIT_INT signed short
#define | XERCES_U16BIT_INT unsigned short
#define | XERCES_S32BIT_INT INT32
#define | XERCES_U32BIT_INT UINT32
#define | XERCES_S64BIT_INT INT32
#define | XERCES_U64BIT_INT UINT32
#define | XERCES_XMLCH_T unsigned short
#define | XERCES_SIZE_T SIZE_T
#define | XERCES_SSIZE_T SSIZE_T
#define | XERCES_HAS_CPP_NAMESPACE 1
#define | XERCES_STD_NAMESPACE 1
#define | XERCES_NEW_IOSTREAMS 1
#define | XERCES_LSTRSUPPORT 1
#define | XERCES_PLATFORM_EXPORT __declspec(dllexport)
#define | XERCES_PLATFORM_IMPORT __declspec(dllimport)
#define | DLL_EXPORT
#define | XERCES_MFC_SUPPORT

## Typedefs

typedef SIZE_T | XMLSize_t
typedef SSIZE_T | XMLSSize_t
typedef unsigned short | XMLCh
typedef unsigned short | XMLUInt16
typedef UINT32 | XMLUInt32
typedef UINT32 | XMLUInt64
typedef signed short | XMLInt16
typedef INT32 | XMLInt32
typedef INT32 | XMLInt64
typedef XMLUInt64 | XMLFilePos
typedef XMLUInt64 | XMLFileLoc

## Macro Definition Documentation

#define DLL_EXPORT

#define XERCES_HAS_CPP_NAMESPACE 1

#define XERCES_LSTRSUPPORT 1

#define XERCES_MFC_SUPPORT

#define XERCES_NEW_IOSTREAMS 1

#define XERCES_PLATFORM_EXPORT __declspec(dllexport)

#define XERCES_PLATFORM_IMPORT __declspec(dllimport)

#define XERCES_S16BIT_INT signed short

#define XERCES_S32BIT_INT INT32

#define XERCES_S64BIT_INT INT32

#define XERCES_SIZE_T SIZE_T

#define XERCES_SSIZE_T SSIZE_T

#define XERCES_STD_NAMESPACE 1

#define XERCES_U16BIT_INT unsigned short

#define XERCES_U32BIT_INT UINT32

#define XERCES_U64BIT_INT UINT32

#define XERCES_XMLCH_T unsigned short

## Typedef Documentation

typedef unsigned short XMLCh

typedef XMLUInt64 XMLFileLoc

typedef XMLUInt64 XMLFilePos

typedef signed short XMLInt16

typedef INT32 XMLInt32

typedef INT32 XMLInt64

typedef SIZE_T XMLSize_t

typedef SSIZE_T XMLSSize_t

typedef unsigned short XMLUInt16

typedef UINT32 XMLUInt32

typedef UINT32 XMLUInt64